﻿using Spire.Cloud.Pdf.Sdk.Api;
using Spire.Cloud.Pdf.Sdk.Client;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CloudPdf
{
    class PdfImagesApiDemo
    {
        static String appId = "your id";
        static String appKey = "your key";

        public static void AddImage()
        {
            Configuration PdfConfiguration = new Configuration(appId, appKey);
            PdfImagesApi pdfImagesApi = new PdfImagesApi(PdfConfiguration);

            string name = "AddImage.pdf";
            string outPath = "output/AddImage_output.pdf";

            int pageNumber = 1;
            using (System.IO.Stream file = new FileStream("AddImage.jpg", FileMode.Open))
            {
                float x = 10;
                float y = 10;
                float? width = null;
                float? height = null;
                string password = null;
                string folder = "input";
                pdfImagesApi.AddImage(name, outPath, pageNumber, file, x, y, width, height, folder, password);
            }
        }

        public static void AddImageWithSize()
        {
            Configuration PdfConfiguration = new Configuration(appId, appKey);
            PdfImagesApi pdfImagesApi = new PdfImagesApi(PdfConfiguration);

            string name = "AddImageWithSize.pdf";
            string outPath = "output/AddImageWithSize_output.pdf";
            int pageNumber = 1;
            using (System.IO.Stream file = new FileStream("AddImageWithSize.jpg", FileMode.Open))
            {
                float x = 10;
                float y = 10;
                float width = 300;
                float height = 300;
                string password = null;
                string folder = "input";
                pdfImagesApi.AddImage(name, outPath, pageNumber, file, x, y, width, height, folder, password);
            }
        }

    }
}
