﻿using Spire.Cloud.Pdf.Sdk.Api;
using Spire.Cloud.Pdf.Sdk.Client;
using Spire.Cloud.Pdf.Sdk.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CloudPdf
{
    class PdfPagesApiDemo
    {
        static String appId = "your id";
        static String appKey = "your key";
        public static void AddPage() 
        {
            Configuration PdfConfiguration = new Configuration(appId, appKey);
            PdfPagesApi pdfPagesApi = new PdfPagesApi(PdfConfiguration);

            string name = "AddPage.pdf";
            string outPath = "output/AddPage_output.pdf";
            Page page = new Page();
            page.Rect = new RectangleF(0, 0, 500, 800);
            string folder = "input";
            string password = null;
            pdfPagesApi.AddPage(name, outPath, page, folder, password);
        }

        public static void DeletePage()
        {
            Configuration PdfConfiguration = new Configuration(appId, appKey);
            PdfPagesApi pdfPagesApi = new PdfPagesApi(PdfConfiguration);

            string name = "DeletePage.pdf";
            string outPath = "output/DeletePage_output.pdf";
            int pageNumber = 1;
            string folder = "input";
            string password = null;
            pdfPagesApi.DeletePage(name, outPath, pageNumber, folder, password);

        }

        public static void GetPageInfo()
        {
            Configuration PdfConfiguration = new Configuration(appId, appKey);
            PdfPagesApi pdfPagesApi = new PdfPagesApi(PdfConfiguration);

            string name = "GetPageInfo.pdf";
            int pageNumber = 1;
            string folder = "input";
            string password = null;
            var response = pdfPagesApi.GetPageInfo(name, pageNumber, folder, password);
        }

        public static void GetPagesInfo()
        {
            Configuration PdfConfiguration = new Configuration(appId, appKey);
            PdfPagesApi pdfPagesApi = new PdfPagesApi(PdfConfiguration);

            string name = "GetPagesInfo.pdf";
            string folder = "input";
            string password = null;
            var response = pdfPagesApi.GetPagesInfo(name, folder, password);
        }
    }
}
